.TH snmpa_error_logger 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmpa_error_logger \- Functions for Reporting SNMP Errors through the error_logger
.SH DESCRIPTION
.LP
The module \fIsnmpa_error_logger\fR implements the \fIsnmpa_error_report\fR behaviour (see snmpa_error_report) containing two callback functions which are called in order to report SNMP errors\&. 
.LP
This module provides a simple mechanism for reporting SNMP errors\&. Errors are sent to the \fIerror_logger\fR after a size check\&. Messages are truncated after 1024 chars\&. It is provided as an example\&. 
.LP
This module is the default error report module, but can be explicitly configured, see snmpa_error and configuration parameters\&. 

.SH EXPORTS
.LP
.B
config_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if an error occurs during the configuration phase, for example if a syntax error is found in a configuration file\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
.LP
.B
user_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if a user related error occurs at run-time, for example if a user defined instrumentation function returns erroneous\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
.SH SEE ALSO
.LP
error_logger(3)
